# Changelogs v2

## Get Entities Changelog

> Get a log of entities changes for the specified timeframe, ordered chronologically. Option is to get by specified item type and id.

```json
{"openapi":"3.0.1","info":{"title":"Changelogs","version":"1.0"},"tags":[{"name":"Changelogs","description":"Changelogs"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"paths":{"/entities-changelog":{"get":{"summary":"Get Entities Changelog","description":"Get a log of entities changes for the specified timeframe, ordered chronologically. Option is to get by specified item type and id.","operationId":"get-entities-changelog","tags":["Changelogs"],"parameters":[{"$ref":"#/components/parameters/ItemId"},{"$ref":"#/components/parameters/EntitiesChangelogItemType"},{"$ref":"#/components/parameters/Limit"},{"$ref":"#/components/parameters/Cursor"},{"$ref":"#/components/parameters/OrderDirection"},{"$ref":"#/components/parameters/StartDate"},{"$ref":"#/components/parameters/EndDate"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntitiesChangelogEntries"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}}}}},"components":{"parameters":{"ItemId":{"name":"itemId","in":"query","description":"Unique item identification number in UUID format, for which changelogs are added","schema":{"type":"string","format":"uuid"}},"EntitiesChangelogItemType":{"name":"ChangelogItemType","in":"query","description":"optional filtering by changelog item type","schema":{"$ref":"#/components/schemas/EntitiesChangelogItemTypeEnum"}},"Limit":{"name":"limit","in":"query","description":"Maximum number of items to return","required":true,"schema":{"type":"integer","default":20,"minimum":1}},"Cursor":{"name":"cursor","in":"query","description":"String value used for pagination","schema":{"type":"string"}},"OrderDirection":{"name":"orderDirection","in":"query","description":"order direction","schema":{"type":"string","default":"ASC","enum":["ASC","DESC"]}},"StartDate":{"name":"startDate","in":"query","description":"The left boundary of `[startDateTime - endDateTime]` changelog entries date-time range","schema":{"type":"string","format":"date-time"}},"EndDate":{"name":"endDate","in":"query","description":"The right boundary of `[startDateTime - endDateTime]` changelog entries date-time range","schema":{"type":"string","format":"date-time"}}},"schemas":{"EntitiesChangelogItemTypeEnum":{"title":"EntitiesChangelogItemType","type":"string","enum":["NATURAL_PERSON","BENEFICIAL_OWNER","LEGAL_ENTITY","LEGAL_REPRESENTATIVE","JOINT_PERSON","ONBOARDING","OFFBOARDING"]},"EntitiesChangelogEntries":{"type":"object","required":["data","pagination"],"properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/EntitiesChangelogEntry"}},"pagination":{"$ref":"#/components/schemas/Pagination"}}},"EntitiesChangelogEntry":{"type":"object","required":["changes","createdOn","entryId","itemId","itemType","source"],"properties":{"itemType":{"$ref":"#/components/schemas/EntitiesChangelogItemTypeEnum"},"entryId":{"type":"string","format":"uuid","description":"UUID of changelog entry."},"itemId":{"type":"string","format":"uuid","description":"UUID of item"},"createdOn":{"type":"string","format":"date-time"},"changes":{"type":"array","items":{"$ref":"#/components/schemas/ChangelogEntryValue"}},"source":{"$ref":"#/components/schemas/ChangelogSource"}},"title":"ChangelogEntry"},"ChangelogEntryValue":{"title":"ChangelogEntryValue","type":"object","required":["type","path"],"properties":{"type":{"$ref":"#/components/schemas/ChangelogEntryValueType"},"path":{"type":"string","description":"Path to the changed attribute."},"oldValue":{"type":"string","description":"Old value of the attribute."},"value":{"type":"string","description":"New value of the attribute."}}},"ChangelogEntryValueType":{"title":"ChangelogEntryValueType","type":"string","enum":["REPLACE","ADD","REMOVE"]},"ChangelogSource":{"title":"ChangelogSource","type":"string","enum":["PARTNER_SYSTEM","PARTNER_EMPLOYEE","INTERNAL_CHANGE"]},"Pagination":{"title":"Pagination","type":"object","properties":{"cursor":{"type":"string","description":"String value used for pagination, which should be set in next page request."},"limit":{"type":"integer","description":"Maximum number of returned items"}},"required":["cursor","limit"]},"ErrorMessage":{"title":"ErrorMessage","type":"object","properties":{"message":{"type":"string"},"responseType":{"type":"string"},"validationString":{"minLength":1,"type":"string"},"requestId":{"type":"string"},"errorCode":{"type":"string","maxLength":255},"errorDetails":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"}}},"required":["message","responseType","requestId"]},"ErrorDetails":{"title":"ErrorDetails","type":"object","properties":{"field":{"type":"string","maxLength":255},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetailsExplanation"}}},"required":["field"]},"ErrorDetailsExplanation":{"title":"ErrorDetailsExplanation","type":"object","properties":{"code":{"type":"string","maxLength":255},"parameter":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}
```

## Get Roles Changelog

> Get a log of roles changes for the specified timeframe, ordered chronologically. Option is to get by specified item type and id.

```json
{"openapi":"3.0.1","info":{"title":"Changelogs","version":"1.0"},"tags":[{"name":"Changelogs","description":"Changelogs"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"paths":{"/roles-changelog":{"get":{"summary":"Get Roles Changelog","description":"Get a log of roles changes for the specified timeframe, ordered chronologically. Option is to get by specified item type and id.","operationId":"get-roles-changelog","tags":["Changelogs"],"parameters":[{"$ref":"#/components/parameters/ItemId"},{"$ref":"#/components/parameters/RolesChangelogItemType"},{"$ref":"#/components/parameters/Limit"},{"$ref":"#/components/parameters/Cursor"},{"$ref":"#/components/parameters/OrderDirection"},{"$ref":"#/components/parameters/StartDate"},{"$ref":"#/components/parameters/EndDate"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RolesChangelogEntries"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}}}}},"components":{"parameters":{"ItemId":{"name":"itemId","in":"query","description":"Unique item identification number in UUID format, for which changelogs are added","schema":{"type":"string","format":"uuid"}},"RolesChangelogItemType":{"name":"ChangelogItemType","in":"query","description":"optional filtering by changelog item type","schema":{"$ref":"#/components/schemas/RolesChangelogItemTypeEnum"}},"Limit":{"name":"limit","in":"query","description":"Maximum number of items to return","required":true,"schema":{"type":"integer","default":20,"minimum":1}},"Cursor":{"name":"cursor","in":"query","description":"String value used for pagination","schema":{"type":"string"}},"OrderDirection":{"name":"orderDirection","in":"query","description":"order direction","schema":{"type":"string","default":"ASC","enum":["ASC","DESC"]}},"StartDate":{"name":"startDate","in":"query","description":"The left boundary of `[startDateTime - endDateTime]` changelog entries date-time range","schema":{"type":"string","format":"date-time"}},"EndDate":{"name":"endDate","in":"query","description":"The right boundary of `[startDateTime - endDateTime]` changelog entries date-time range","schema":{"type":"string","format":"date-time"}}},"schemas":{"RolesChangelogItemTypeEnum":{"title":"RolesChangelogItemType","type":"string","enum":["CUSTOMER","CUSTOMER_LABEL","PROXY","ONBOARDING","OFFBOARDING"]},"RolesChangelogEntries":{"type":"object","required":["data","pagination"],"properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/RolesChangelogEntry"}},"pagination":{"$ref":"#/components/schemas/Pagination"}}},"RolesChangelogEntry":{"type":"object","required":["changes","createdOn","entryId","itemId","itemType","source"],"properties":{"itemType":{"$ref":"#/components/schemas/RolesChangelogItemTypeEnum"},"entryId":{"type":"string","format":"uuid","description":"UUID of changelog entry."},"itemId":{"type":"string","format":"uuid","description":"UUID of item"},"createdOn":{"type":"string","format":"date-time"},"changes":{"type":"array","items":{"$ref":"#/components/schemas/ChangelogEntryValue"}},"source":{"$ref":"#/components/schemas/ChangelogSource"}},"title":"ChangelogEntry"},"ChangelogEntryValue":{"title":"ChangelogEntryValue","type":"object","required":["type","path"],"properties":{"type":{"$ref":"#/components/schemas/ChangelogEntryValueType"},"path":{"type":"string","description":"Path to the changed attribute."},"oldValue":{"type":"string","description":"Old value of the attribute."},"value":{"type":"string","description":"New value of the attribute."}}},"ChangelogEntryValueType":{"title":"ChangelogEntryValueType","type":"string","enum":["REPLACE","ADD","REMOVE"]},"ChangelogSource":{"title":"ChangelogSource","type":"string","enum":["PARTNER_SYSTEM","PARTNER_EMPLOYEE","INTERNAL_CHANGE"]},"Pagination":{"title":"Pagination","type":"object","properties":{"cursor":{"type":"string","description":"String value used for pagination, which should be set in next page request."},"limit":{"type":"integer","description":"Maximum number of returned items"}},"required":["cursor","limit"]},"ErrorMessage":{"title":"ErrorMessage","type":"object","properties":{"message":{"type":"string"},"responseType":{"type":"string"},"validationString":{"minLength":1,"type":"string"},"requestId":{"type":"string"},"errorCode":{"type":"string","maxLength":255},"errorDetails":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"}}},"required":["message","responseType","requestId"]},"ErrorDetails":{"title":"ErrorDetails","type":"object","properties":{"field":{"type":"string","maxLength":255},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetailsExplanation"}}},"required":["field"]},"ErrorDetailsExplanation":{"title":"ErrorDetailsExplanation","type":"object","properties":{"code":{"type":"string","maxLength":255},"parameter":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}
```

## Get Digital Assets Changelog

> Get a log of digital assets changes for the specified timeframe, ordered chronologically. Option is to get by specified item type and id.

```json
{"openapi":"3.0.1","info":{"title":"Changelogs","version":"1.0"},"tags":[{"name":"Changelogs","description":"Changelogs"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"paths":{"/digital-changelog":{"get":{"summary":"Get Digital Assets Changelog","description":"Get a log of digital assets changes for the specified timeframe, ordered chronologically. Option is to get by specified item type and id.","operationId":"get-digital-assets-changelog","tags":["Changelogs"],"parameters":[{"$ref":"#/components/parameters/ItemId"},{"$ref":"#/components/parameters/DigitalAssetsChangelogItemType"},{"$ref":"#/components/parameters/Limit"},{"$ref":"#/components/parameters/Cursor"},{"$ref":"#/components/parameters/OrderDirection"},{"$ref":"#/components/parameters/StartDate"},{"$ref":"#/components/parameters/EndDate"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DigitalAssetsChangelogEntries"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}}}}},"components":{"parameters":{"ItemId":{"name":"itemId","in":"query","description":"Unique item identification number in UUID format, for which changelogs are added","schema":{"type":"string","format":"uuid"}},"DigitalAssetsChangelogItemType":{"name":"ChangelogItemType","in":"query","description":"optional filtering by changelog item type","schema":{"$ref":"#/components/schemas/DigitalAssetsChangelogItemTypeEnum"}},"Limit":{"name":"limit","in":"query","description":"Maximum number of items to return","required":true,"schema":{"type":"integer","default":20,"minimum":1}},"Cursor":{"name":"cursor","in":"query","description":"String value used for pagination","schema":{"type":"string"}},"OrderDirection":{"name":"orderDirection","in":"query","description":"order direction","schema":{"type":"string","default":"ASC","enum":["ASC","DESC"]}},"StartDate":{"name":"startDate","in":"query","description":"The left boundary of `[startDateTime - endDateTime]` changelog entries date-time range","schema":{"type":"string","format":"date-time"}},"EndDate":{"name":"endDate","in":"query","description":"The right boundary of `[startDateTime - endDateTime]` changelog entries date-time range","schema":{"type":"string","format":"date-time"}}},"schemas":{"DigitalAssetsChangelogItemTypeEnum":{"title":"DigitalAssetsChangelogItemType","type":"string","enum":["ORDER"]},"DigitalAssetsChangelogEntries":{"type":"object","required":["data","pagination"],"properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/DigitalAssetsChangelogEntry"}},"pagination":{"$ref":"#/components/schemas/Pagination"}}},"DigitalAssetsChangelogEntry":{"type":"object","required":["changes","createdOn","entryId","itemId","itemType","source"],"properties":{"itemType":{"$ref":"#/components/schemas/DigitalAssetsChangelogItemTypeEnum"},"entryId":{"type":"string","format":"uuid","description":"UUID of changelog entry."},"itemId":{"type":"string","format":"uuid","description":"UUID of item"},"createdOn":{"type":"string","format":"date-time"},"changes":{"type":"array","items":{"$ref":"#/components/schemas/ChangelogEntryValue"}},"source":{"$ref":"#/components/schemas/ChangelogSource"}},"title":"ChangelogEntry"},"ChangelogEntryValue":{"title":"ChangelogEntryValue","type":"object","required":["type","path"],"properties":{"type":{"$ref":"#/components/schemas/ChangelogEntryValueType"},"path":{"type":"string","description":"Path to the changed attribute."},"oldValue":{"type":"string","description":"Old value of the attribute."},"value":{"type":"string","description":"New value of the attribute."}}},"ChangelogEntryValueType":{"title":"ChangelogEntryValueType","type":"string","enum":["REPLACE","ADD","REMOVE"]},"ChangelogSource":{"title":"ChangelogSource","type":"string","enum":["PARTNER_SYSTEM","PARTNER_EMPLOYEE","INTERNAL_CHANGE"]},"Pagination":{"title":"Pagination","type":"object","properties":{"cursor":{"type":"string","description":"String value used for pagination, which should be set in next page request."},"limit":{"type":"integer","description":"Maximum number of returned items"}},"required":["cursor","limit"]},"ErrorMessage":{"title":"ErrorMessage","type":"object","properties":{"message":{"type":"string"},"responseType":{"type":"string"},"validationString":{"minLength":1,"type":"string"},"requestId":{"type":"string"},"errorCode":{"type":"string","maxLength":255},"errorDetails":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"}}},"required":["message","responseType","requestId"]},"ErrorDetails":{"title":"ErrorDetails","type":"object","properties":{"field":{"type":"string","maxLength":255},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetailsExplanation"}}},"required":["field"]},"ErrorDetailsExplanation":{"title":"ErrorDetailsExplanation","type":"object","properties":{"code":{"type":"string","maxLength":255},"parameter":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}
```

## Get Products Changelog

> Get a log of products changes for the specified timeframe, ordered chronologically. Option is to get by specified item type and id.

```json
{"openapi":"3.0.1","info":{"title":"Changelogs","version":"1.0"},"tags":[{"name":"Changelogs","description":"Changelogs"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"paths":{"/products-changelog":{"get":{"summary":"Get Products Changelog","description":"Get a log of products changes for the specified timeframe, ordered chronologically. Option is to get by specified item type and id.","operationId":"get-products-changelog","tags":["Changelogs"],"parameters":[{"$ref":"#/components/parameters/ItemId"},{"$ref":"#/components/parameters/ProductsChangelogItemType"},{"$ref":"#/components/parameters/Limit"},{"$ref":"#/components/parameters/Cursor"},{"$ref":"#/components/parameters/OrderDirection"},{"$ref":"#/components/parameters/StartDate"},{"$ref":"#/components/parameters/EndDate"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProductsChangelogEntries"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}}}}},"components":{"parameters":{"ItemId":{"name":"itemId","in":"query","description":"Unique item identification number in UUID format, for which changelogs are added","schema":{"type":"string","format":"uuid"}},"ProductsChangelogItemType":{"name":"ChangelogItemType","in":"query","description":"optional filtering by changelog item type","schema":{"$ref":"#/components/schemas/ProductsChangelogItemTypeEnum"}},"Limit":{"name":"limit","in":"query","description":"Maximum number of items to return","required":true,"schema":{"type":"integer","default":20,"minimum":1}},"Cursor":{"name":"cursor","in":"query","description":"String value used for pagination","schema":{"type":"string"}},"OrderDirection":{"name":"orderDirection","in":"query","description":"order direction","schema":{"type":"string","default":"ASC","enum":["ASC","DESC"]}},"StartDate":{"name":"startDate","in":"query","description":"The left boundary of `[startDateTime - endDateTime]` changelog entries date-time range","schema":{"type":"string","format":"date-time"}},"EndDate":{"name":"endDate","in":"query","description":"The right boundary of `[startDateTime - endDateTime]` changelog entries date-time range","schema":{"type":"string","format":"date-time"}}},"schemas":{"ProductsChangelogItemTypeEnum":{"title":"ProductsChangelogItemType","type":"string","enum":["CUSTOMER_PRODUCT","PARTNER_PRODUCT_DEFINITION"]},"ProductsChangelogEntries":{"type":"object","required":["data","pagination"],"properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/ProductsChangelogEntry"}},"pagination":{"$ref":"#/components/schemas/Pagination"}}},"ProductsChangelogEntry":{"type":"object","required":["changes","createdOn","entryId","itemId","itemType","source"],"properties":{"itemType":{"$ref":"#/components/schemas/ProductsChangelogItemTypeEnum"},"entryId":{"type":"string","format":"uuid","description":"UUID of changelog entry."},"itemId":{"type":"string","format":"uuid","description":"UUID of item"},"createdOn":{"type":"string","format":"date-time"},"changes":{"type":"array","items":{"$ref":"#/components/schemas/ChangelogEntryValue"}},"source":{"$ref":"#/components/schemas/ChangelogSource"}},"title":"ChangelogEntry"},"ChangelogEntryValue":{"title":"ChangelogEntryValue","type":"object","required":["type","path"],"properties":{"type":{"$ref":"#/components/schemas/ChangelogEntryValueType"},"path":{"type":"string","description":"Path to the changed attribute."},"oldValue":{"type":"string","description":"Old value of the attribute."},"value":{"type":"string","description":"New value of the attribute."}}},"ChangelogEntryValueType":{"title":"ChangelogEntryValueType","type":"string","enum":["REPLACE","ADD","REMOVE"]},"ChangelogSource":{"title":"ChangelogSource","type":"string","enum":["PARTNER_SYSTEM","PARTNER_EMPLOYEE","INTERNAL_CHANGE"]},"Pagination":{"title":"Pagination","type":"object","properties":{"cursor":{"type":"string","description":"String value used for pagination, which should be set in next page request."},"limit":{"type":"integer","description":"Maximum number of returned items"}},"required":["cursor","limit"]},"ErrorMessage":{"title":"ErrorMessage","type":"object","properties":{"message":{"type":"string"},"responseType":{"type":"string"},"validationString":{"minLength":1,"type":"string"},"requestId":{"type":"string"},"errorCode":{"type":"string","maxLength":255},"errorDetails":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"}}},"required":["message","responseType","requestId"]},"ErrorDetails":{"title":"ErrorDetails","type":"object","properties":{"field":{"type":"string","maxLength":255},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetailsExplanation"}}},"required":["field"]},"ErrorDetailsExplanation":{"title":"ErrorDetailsExplanation","type":"object","properties":{"code":{"type":"string","maxLength":255},"parameter":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}
```

## Get Documents Changelog

> Get a log of documents changes for the specified timeframe, ordered chronologically. Option is to get by specified item type and id.

```json
{"openapi":"3.0.1","info":{"title":"Changelogs","version":"1.0"},"tags":[{"name":"Changelogs","description":"Changelogs"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"paths":{"/documents-changelog":{"get":{"summary":"Get Documents Changelog","description":"Get a log of documents changes for the specified timeframe, ordered chronologically. Option is to get by specified item type and id.","operationId":"get-documents-changelog","tags":["Changelogs"],"parameters":[{"$ref":"#/components/parameters/ItemId"},{"$ref":"#/components/parameters/DocumentsChangelogItemType"},{"$ref":"#/components/parameters/Limit"},{"$ref":"#/components/parameters/Cursor"},{"$ref":"#/components/parameters/OrderDirection"},{"$ref":"#/components/parameters/StartDate"},{"$ref":"#/components/parameters/EndDate"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocumentsChangelogEntries"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}}}}},"components":{"parameters":{"ItemId":{"name":"itemId","in":"query","description":"Unique item identification number in UUID format, for which changelogs are added","schema":{"type":"string","format":"uuid"}},"DocumentsChangelogItemType":{"name":"ChangelogItemType","in":"query","description":"optional filtering by changelog item type","schema":{"$ref":"#/components/schemas/DocumentsChangelogItemTypeEnum"}},"Limit":{"name":"limit","in":"query","description":"Maximum number of items to return","required":true,"schema":{"type":"integer","default":20,"minimum":1}},"Cursor":{"name":"cursor","in":"query","description":"String value used for pagination","schema":{"type":"string"}},"OrderDirection":{"name":"orderDirection","in":"query","description":"order direction","schema":{"type":"string","default":"ASC","enum":["ASC","DESC"]}},"StartDate":{"name":"startDate","in":"query","description":"The left boundary of `[startDateTime - endDateTime]` changelog entries date-time range","schema":{"type":"string","format":"date-time"}},"EndDate":{"name":"endDate","in":"query","description":"The right boundary of `[startDateTime - endDateTime]` changelog entries date-time range","schema":{"type":"string","format":"date-time"}}},"schemas":{"DocumentsChangelogItemTypeEnum":{"title":"DocumentsChangelogItemType","type":"string","enum":["CUSTOMER_DOCUMENT","PROXY_DOCUMENT","NATURAL_PERSON_DOCUMENT","PARTNER_USER_DOCUMENT","LEGAL_ENTITY_DOCUMENT"]},"DocumentsChangelogEntries":{"type":"object","required":["data","pagination"],"properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/DocumentsChangelogEntry"}},"pagination":{"$ref":"#/components/schemas/Pagination"}}},"DocumentsChangelogEntry":{"type":"object","required":["changes","createdOn","entryId","itemId","itemType","source"],"properties":{"itemType":{"$ref":"#/components/schemas/DocumentsChangelogItemTypeEnum"},"entryId":{"type":"string","format":"uuid","description":"UUID of changelog entry."},"itemId":{"type":"string","format":"uuid","description":"UUID of item"},"createdOn":{"type":"string","format":"date-time"},"changes":{"type":"array","items":{"$ref":"#/components/schemas/ChangelogEntryValue"}},"source":{"$ref":"#/components/schemas/ChangelogSource"}},"title":"ChangelogEntry"},"ChangelogEntryValue":{"title":"ChangelogEntryValue","type":"object","required":["type","path"],"properties":{"type":{"$ref":"#/components/schemas/ChangelogEntryValueType"},"path":{"type":"string","description":"Path to the changed attribute."},"oldValue":{"type":"string","description":"Old value of the attribute."},"value":{"type":"string","description":"New value of the attribute."}}},"ChangelogEntryValueType":{"title":"ChangelogEntryValueType","type":"string","enum":["REPLACE","ADD","REMOVE"]},"ChangelogSource":{"title":"ChangelogSource","type":"string","enum":["PARTNER_SYSTEM","PARTNER_EMPLOYEE","INTERNAL_CHANGE"]},"Pagination":{"title":"Pagination","type":"object","properties":{"cursor":{"type":"string","description":"String value used for pagination, which should be set in next page request."},"limit":{"type":"integer","description":"Maximum number of returned items"}},"required":["cursor","limit"]},"ErrorMessage":{"title":"ErrorMessage","type":"object","properties":{"message":{"type":"string"},"responseType":{"type":"string"},"validationString":{"minLength":1,"type":"string"},"requestId":{"type":"string"},"errorCode":{"type":"string","maxLength":255},"errorDetails":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"}}},"required":["message","responseType","requestId"]},"ErrorDetails":{"title":"ErrorDetails","type":"object","properties":{"field":{"type":"string","maxLength":255},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetailsExplanation"}}},"required":["field"]},"ErrorDetailsExplanation":{"title":"ErrorDetailsExplanation","type":"object","properties":{"code":{"type":"string","maxLength":255},"parameter":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}
```

## Get Traditional Assets Changelog

> Get a log of traditional assets changes for the specified timeframe, ordered chronologically. Option is to get by specified item type and id.

```json
{"openapi":"3.0.1","info":{"title":"Changelogs","version":"1.0"},"tags":[{"name":"Changelogs","description":"Changelogs"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"paths":{"/traditional-changelog":{"get":{"summary":"Get Traditional Assets Changelog","description":"Get a log of traditional assets changes for the specified timeframe, ordered chronologically. Option is to get by specified item type and id.","operationId":"get-traditional-assets-changelog","tags":["Changelogs"],"parameters":[{"$ref":"#/components/parameters/ItemId"},{"$ref":"#/components/parameters/TraditionalAssetsChangelogItemType"},{"$ref":"#/components/parameters/Limit"},{"$ref":"#/components/parameters/Cursor"},{"$ref":"#/components/parameters/OrderDirection"},{"$ref":"#/components/parameters/StartDate"},{"$ref":"#/components/parameters/EndDate"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TraditionalAssetsChangelogEntries"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}}}}},"components":{"parameters":{"ItemId":{"name":"itemId","in":"query","description":"Unique item identification number in UUID format, for which changelogs are added","schema":{"type":"string","format":"uuid"}},"TraditionalAssetsChangelogItemType":{"name":"ChangelogItemType","in":"query","description":"optional filtering by changelog item type","schema":{"$ref":"#/components/schemas/TraditionalAssetsChangelogItemTypeEnum"}},"Limit":{"name":"limit","in":"query","description":"Maximum number of items to return","required":true,"schema":{"type":"integer","default":20,"minimum":1}},"Cursor":{"name":"cursor","in":"query","description":"String value used for pagination","schema":{"type":"string"}},"OrderDirection":{"name":"orderDirection","in":"query","description":"order direction","schema":{"type":"string","default":"ASC","enum":["ASC","DESC"]}},"StartDate":{"name":"startDate","in":"query","description":"The left boundary of `[startDateTime - endDateTime]` changelog entries date-time range","schema":{"type":"string","format":"date-time"}},"EndDate":{"name":"endDate","in":"query","description":"The right boundary of `[startDateTime - endDateTime]` changelog entries date-time range","schema":{"type":"string","format":"date-time"}}},"schemas":{"TraditionalAssetsChangelogItemTypeEnum":{"title":"TraditionalAssetsChangelogItemType","type":"string","enum":["ORDER"]},"TraditionalAssetsChangelogEntries":{"type":"object","required":["data","pagination"],"properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/TraditionalAssetsChangelogEntry"}},"pagination":{"$ref":"#/components/schemas/Pagination"}}},"TraditionalAssetsChangelogEntry":{"type":"object","required":["changes","createdOn","entryId","itemId","itemType","source"],"properties":{"itemType":{"$ref":"#/components/schemas/TraditionalAssetsChangelogItemTypeEnum"},"entryId":{"type":"string","format":"uuid","description":"UUID of changelog entry."},"itemId":{"type":"string","format":"uuid","description":"UUID of item"},"createdOn":{"type":"string","format":"date-time"},"changes":{"type":"array","items":{"$ref":"#/components/schemas/ChangelogEntryValue"}},"source":{"$ref":"#/components/schemas/ChangelogSource"}},"title":"ChangelogEntry"},"ChangelogEntryValue":{"title":"ChangelogEntryValue","type":"object","required":["type","path"],"properties":{"type":{"$ref":"#/components/schemas/ChangelogEntryValueType"},"path":{"type":"string","description":"Path to the changed attribute."},"oldValue":{"type":"string","description":"Old value of the attribute."},"value":{"type":"string","description":"New value of the attribute."}}},"ChangelogEntryValueType":{"title":"ChangelogEntryValueType","type":"string","enum":["REPLACE","ADD","REMOVE"]},"ChangelogSource":{"title":"ChangelogSource","type":"string","enum":["PARTNER_SYSTEM","PARTNER_EMPLOYEE","INTERNAL_CHANGE"]},"Pagination":{"title":"Pagination","type":"object","properties":{"cursor":{"type":"string","description":"String value used for pagination, which should be set in next page request."},"limit":{"type":"integer","description":"Maximum number of returned items"}},"required":["cursor","limit"]},"ErrorMessage":{"title":"ErrorMessage","type":"object","properties":{"message":{"type":"string"},"responseType":{"type":"string"},"validationString":{"minLength":1,"type":"string"},"requestId":{"type":"string"},"errorCode":{"type":"string","maxLength":255},"errorDetails":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"}}},"required":["message","responseType","requestId"]},"ErrorDetails":{"title":"ErrorDetails","type":"object","properties":{"field":{"type":"string","maxLength":255},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetailsExplanation"}}},"required":["field"]},"ErrorDetailsExplanation":{"title":"ErrorDetailsExplanation","type":"object","properties":{"code":{"type":"string","maxLength":255},"parameter":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}
```

## Get Taxes Changelog

> Get a log of taxes changes for the specified timeframe, ordered chronologically. Option is to get by specified item type and id.

```json
{"openapi":"3.0.1","info":{"title":"Changelogs","version":"1.0"},"tags":[{"name":"Changelogs","description":"Changelogs"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"paths":{"/taxes-changelog":{"get":{"summary":"Get Taxes Changelog","description":"Get a log of taxes changes for the specified timeframe, ordered chronologically. Option is to get by specified item type and id.","operationId":"get-taxes-changelog","tags":["Changelogs"],"parameters":[{"$ref":"#/components/parameters/ItemId"},{"$ref":"#/components/parameters/TaxesChangelogItemType"},{"$ref":"#/components/parameters/Limit"},{"$ref":"#/components/parameters/Cursor"},{"$ref":"#/components/parameters/OrderDirection"},{"$ref":"#/components/parameters/StartDate"},{"$ref":"#/components/parameters/EndDate"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaxesChangelogEntries"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}}}}},"components":{"parameters":{"ItemId":{"name":"itemId","in":"query","description":"Unique item identification number in UUID format, for which changelogs are added","schema":{"type":"string","format":"uuid"}},"TaxesChangelogItemType":{"name":"ChangelogItemType","in":"query","description":"optional filtering by changelog item type","schema":{"$ref":"#/components/schemas/TaxesChangelogItemTypeEnum"}},"Limit":{"name":"limit","in":"query","description":"Maximum number of items to return","required":true,"schema":{"type":"integer","default":20,"minimum":1}},"Cursor":{"name":"cursor","in":"query","description":"String value used for pagination","schema":{"type":"string"}},"OrderDirection":{"name":"orderDirection","in":"query","description":"order direction","schema":{"type":"string","default":"ASC","enum":["ASC","DESC"]}},"StartDate":{"name":"startDate","in":"query","description":"The left boundary of `[startDateTime - endDateTime]` changelog entries date-time range","schema":{"type":"string","format":"date-time"}},"EndDate":{"name":"endDate","in":"query","description":"The right boundary of `[startDateTime - endDateTime]` changelog entries date-time range","schema":{"type":"string","format":"date-time"}}},"schemas":{"TaxesChangelogItemTypeEnum":{"title":"TaxesChangelogItemType","type":"string","enum":["TAX_EXEMPTION_ORDER"]},"TaxesChangelogEntries":{"type":"object","required":["data","pagination"],"properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/TaxesChangelogEntry"}},"pagination":{"$ref":"#/components/schemas/Pagination"}}},"TaxesChangelogEntry":{"type":"object","required":["changes","createdOn","entryId","itemId","itemType","source"],"properties":{"itemType":{"$ref":"#/components/schemas/TaxesChangelogItemTypeEnum"},"entryId":{"type":"string","format":"uuid","description":"UUID of changelog entry."},"itemId":{"type":"string","format":"uuid","description":"UUID of item"},"createdOn":{"type":"string","format":"date-time"},"changes":{"type":"array","items":{"$ref":"#/components/schemas/ChangelogEntryValue"}},"source":{"$ref":"#/components/schemas/ChangelogSource"}},"title":"ChangelogEntry"},"ChangelogEntryValue":{"title":"ChangelogEntryValue","type":"object","required":["type","path"],"properties":{"type":{"$ref":"#/components/schemas/ChangelogEntryValueType"},"path":{"type":"string","description":"Path to the changed attribute."},"oldValue":{"type":"string","description":"Old value of the attribute."},"value":{"type":"string","description":"New value of the attribute."}}},"ChangelogEntryValueType":{"title":"ChangelogEntryValueType","type":"string","enum":["REPLACE","ADD","REMOVE"]},"ChangelogSource":{"title":"ChangelogSource","type":"string","enum":["PARTNER_SYSTEM","PARTNER_EMPLOYEE","INTERNAL_CHANGE"]},"Pagination":{"title":"Pagination","type":"object","properties":{"cursor":{"type":"string","description":"String value used for pagination, which should be set in next page request."},"limit":{"type":"integer","description":"Maximum number of returned items"}},"required":["cursor","limit"]},"ErrorMessage":{"title":"ErrorMessage","type":"object","properties":{"message":{"type":"string"},"responseType":{"type":"string"},"validationString":{"minLength":1,"type":"string"},"requestId":{"type":"string"},"errorCode":{"type":"string","maxLength":255},"errorDetails":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"}}},"required":["message","responseType","requestId"]},"ErrorDetails":{"title":"ErrorDetails","type":"object","properties":{"field":{"type":"string","maxLength":255},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetailsExplanation"}}},"required":["field"]},"ErrorDetailsExplanation":{"title":"ErrorDetailsExplanation","type":"object","properties":{"code":{"type":"string","maxLength":255},"parameter":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tradevest.ai/api-reference/changelogs/new-changelogs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
